#version 450 core
in vec3 position;
in vec2 uv;
in vec3 normal;

// Frag data
out vec3 vert_normal;
out vec2 vert_texCoord;

uniform mat4 perspective;
uniform mat4 view;
uniform mat4 model;

void main()
{
    vert_texCoord = uv;

    vert_normal = (vec4(normal, 1) * view * model).xyz;

    gl_Position = perspective * view * model * vec4(position, 1.0);
}